org.apache.felix.utils.collections

## Class MapToDictionary

- java.lang.Object
- - java.util.Dictionary
  - - org.apache.felix.utils.collections.MapToDictionary

    public class MapToDictionary
    extends Dictionary

This is a simple class that implements a `Dictionary` from a `Map`. The resulting dictionary is immutatable.

### Constructor Summary

Constructors
Constructor and Description
`MapToDictionary(Map map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Enumeration` `elements()`
`Object` `get(Object key)`
`boolean` `isEmpty()`
`Enumeration` `keys()`
`Object` `put(Object key, Object value)`
`Object` `remove(Object key)`
`void` `setSourceMap(Map map)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapToDictionary

    public MapToDictionary(Map map)

### Method Detail

#### setSourceMap

    public void setSourceMap(Map map)

#### elements

    public Enumeration elements()

Specified by:
  `elements` in class `Dictionary`

#### get

    public Object get(Object key)

Specified by:
  `get` in class `Dictionary`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `Dictionary`

#### keys

    public Enumeration keys()

Specified by:
  `keys` in class `Dictionary`

#### put

    public Object put(Object key,
                      Object value)

Specified by:
  `put` in class `Dictionary`

#### remove

    public Object remove(Object key)

Specified by:
  `remove` in class `Dictionary`

#### size

    public int size()

Specified by:
  `size` in class `Dictionary`